%define name	jaxen
%define version	1.0
%define release	3jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        An XPath engine written in Java
License:        Open Source
Url:            http://jaxen.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        http://osdn.dl.sourceforge.net/jaxen/jaxen-%{version}-FCS.tar.gz
Patch0:	        jaxen-unittest.patch
Provides:	jaxen-bootstrap
Requires:	dom4j
Requires:	jdom
Requires:	saxpath
Requires:	xalan-j2
Requires:	xerces-j2
BuildRequires:  ant >= 0:1.5.4, jpackage-utils >= 0:1.5.32, junit >= 0:3.8.1
BuildRequires:	dom4j
BuildRequires:	jdom
BuildRequires:	saxpath
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Jaxen is an XPath engine written in Java to work against a variety of XML
based object models such as DOM, dom4j and JDOM together with Java
Beans.

%package manual
Summary:	Manual for %{name}
Group:		Development/Documentation

%description manual
Documentation for %{name}.

%package demo
Summary:	Samples for %{name}
Group:		Development/Documentation
Requires:	jaxen = 0:1.0-3jpp

%description demo
Samples for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}-FCS
find . -name "*.jar" -exec rm -f {} \;
cp build.xml build.xml.orig
rm src/java/samples/EXMLDemo.java

mkdir -p src/conf
cat >> src/conf/MANIFEST.MF << EOF
Manifest-Version: 1.0
Created-By: Ant 1.5
EOF

%patch0

%build
export CLASSPATH=\
%{_javadir}/jdom.jar:\
%{_javadir}/saxpath.jar:\
%{_javadir}/xalan-j2.jar:\
%{_javadir}/xerces-j2.jar:\
%{_javadir}/dom4j.jar

ant all test demo.all

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}-full.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
cp -pr build/src/samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
cp -pr build/classes/samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples

%clean
rm -rf $RPM_BUILD_ROOT

%post demo
ln -sf %{name}-%{version} %{_datadir}/%{name}

%postun demo
if [ "$1" = "0" ]; then
  rm -f %{_datadir}/%{name}
fi

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%post manual
ln -sf %{name}-%{version} %{_datadir}/doc/%{name}

%postun manual
if [ "$1" = "0" ]; then
  rm -f %{_datadir}/doc/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc build/doc/{*.css,*.html,images,style}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Mon Jan 19 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-3jpp
- build against dom4j-1.4-1jpp
- introduce manual and demo subpackages
- patch org.jaxen.dom4j.DocumentNavigatorTest
- include LICENSE in main package
- run tests during build

* Thu Jan 15 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-2jpp
- activate support for dom4j by renaming lib/dom4j-core.jar to .zip

* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:1.0-1jpp
- release
